> < ^ Date: Mon, 30 Nov 1998 10:48:42 +0000 (GMT)
> < ^ From: Alexander Hulpke <hulpke@math.colostate.edu >
^ Subject: Problem with `AlgebraicExtension'

Dear Gap-Forum,

The current release of GAP4b4 contains a dangerous bug in the arithmetic for
algebraic extensions which will produce wrong results when dividing.

This however affects only the generic algebraic extensions constructed by
`AlgebraicExtension'. The built in finite fields and cyclotomic fields are
not affected.

Furthermore these generic algebraic extensions are not used anywhere in the
library, the only chance to end up with them is if you explicitly call
`AlgebraicExtension'. We therefore decided that this bug does not warrant an
individual fix.
However if you are using the function `AlgebraicExtension' you should be
aware of this problem. This bug will be fixed in the next bugfix or release
of GAP4 (whatever comes first).
If you need a fix urgently please send us a mail to `gap-trouble' and we
will provide you with a correcting fix already now.

Many thanks to Ferenc Wettl for reporting this bug.

Best regards,

Alexander Hulpke

> < [top]